## libkolab 0.2.1

=== CMakeLists.txt ===
project(Libkolab)

cmake_minimum_required(VERSION 2.6.4)

option( BUILD_TESTS "Build the tests" TRUE )

set(Libkolab_MODULE_DIR ${Libkolab_SOURCE_DIR}/cmake/modules)
set(CMAKE_MODULE_PATH ${Libkolab_MODULE_DIR})

set(Libkolab_VERSION_MAJOR 0)
set(Libkolab_VERSION_MINOR 2)
set(Libkolab_VERSION_PATCH 1)
set(Libkolab_VERSION ${Libkolab_VERSION_MAJOR}.${Libkolab_VERSION_MINOR}.${Libkolab_VERSION_PATCH} )
set(Libkolab_VERSION_STRING ${CMAKE_PROJECT_NAME}-${Libkolab_VERSION})

# set up install directories. INCLUDE_INSTALL_DIR and LIB_INSTALL_DIR must not be absolute paths
set(LIB_INSTALL_DIR_SUFFIX "" CACHE STRING "The directories where to install libraries to")
set(LIB_INSTALL_DIR lib${LIB_INSTALL_DIR_SUFFIX} )
set(CMAKECONFIG_INSTALL_DIR ${LIB_INSTALL_DIR}/cmake/Libkolab )

# Use a versioned install directory for the headers so multiple versions can be installed in parallel
set(INCLUDE_INSTALL_DIR include/kolab )

# Do the building

find_package(Qt4 REQUIRED)
find_package(KDE4 REQUIRED)
find_package(Libkolabxml 0.4 REQUIRED)
find_package(KolabKDELibraries REQUIRED)

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${KDE4_ENABLE_EXCEPTIONS} -fPIC" )

include_directories(    
    ${QT_INCLUDES}
    ${KDEPIMLIBS_INCLUDE_DIRS}
    ${KDE4_INCLUDE_DIR}
    ${CMAKE_BINARY_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/kolabformatV2
    ${Libkolabxml_INCLUDES}
    ./
)

configure_file(libkolab-version.h.cmake "${CMAKE_BINARY_DIR}/libkolab-version.h" @ONLY)

add_subdirectory(kolabformatV2)
add_subdirectory(conversion)

set(KOLAB_SRCS kolabformat/kolabobject.cpp kolabformat/errorhandler.cpp mime/mimeutils.cpp ${CONVERSION_SRCS} ${kolabformatv2_SRCS})
set(KOLAB_LINK_LIBRARIES ${Libkolabxml_LIBRARIES} ${KCALCORE_LIBRARY} ${KABC_LIBRARY} ${KMIME_LIBRARY} ${QT_QTCORE_LIBRARY} ${QT_QTXML_LIBRARY} ${QT_QTGUI_LIBRARY} ${KDE4_KDECORE_LIBRARY} ${AKONADI-KDE_LIBRARY} ${AKONADI-NOTES_LIBRARY} ${KDE4_KIO_LIBRARY})
if(BUILD_TESTS)
    #for tests only
    kde4_add_library(kolab_static STATIC ${KOLAB_SRCS})
    target_link_libraries(kolab_static ${KOLAB_LINK_LIBRARIES})
    add_subdirectory(tests)
endif(BUILD_TESTS)

add_library(kolab SHARED ${KOLAB_SRCS})
target_link_libraries(kolab ${KOLAB_LINK_LIBRARIES})
set_target_properties(kolab PROPERTIES VERSION ${Libkolab_VERSION}
                                     SOVERSION ${Libkolab_VERSION_MAJOR} )

install(TARGETS kolab EXPORT LibkolabExport 
    RUNTIME DESTINATION ${BIN_INSTALL_DIR}
    LIBRARY DESTINATION ${LIB_INSTALL_DIR}
    ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
)

install(FILES
    kolab_export.h
    kolabformat/kolabdefinitions.h
    kolabformat/kolabobject.h
    kolabformat/errorhandler.h
    conversion/kcalconversion.h
    conversion/kabcconversion.h
    DESTINATION ${INCLUDE_INSTALL_DIR}
)

install(EXPORT LibkolabExport DESTINATION ${CMAKECONFIG_INSTALL_DIR} FILE LibkolabTargets.cmake )

file(RELATIVE_PATH relInstallDir ${CMAKE_INSTALL_PREFIX}/${CMAKECONFIG_INSTALL_DIR} ${CMAKE_INSTALL_PREFIX} )

configure_file(${Libkolab_MODULE_DIR}/LibkolabConfig.cmake.in ${Libkolab_BINARY_DIR}/LibkolabConfig.cmake @ONLY )
configure_file(${Libkolab_MODULE_DIR}/LibkolabConfigVersion.cmake.in ${Libkolab_BINARY_DIR}/LibkolabConfigVersion.cmake @ONLY )
# Install these two files into the same directory as the generated exports-file.
install(FILES ${Libkolab_BINARY_DIR}/LibkolabConfig.cmake ${Libkolab_BINARY_DIR}/LibkolabConfigVersion.cmake
        DESTINATION ${CMAKECONFIG_INSTALL_DIR} )

=== conversion/CMakeLists.txt ===

set (CONVERSION_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/kcalconversion.cpp 
    ${CMAKE_CURRENT_SOURCE_DIR}/kabcconversion.cpp 
    ${CMAKE_CURRENT_SOURCE_DIR}/commonconversion.cpp 
    ${CMAKE_CURRENT_SOURCE_DIR}/kolabconversion.cpp PARENT_SCOPE)

=== tests/CMakeLists.txt ===

include_directories(${CMAKE_CURRENT_BINARY_DIR})

QT4_AUTOMOC(benchmark.cpp)
add_executable(benchmarktest benchmark.cpp  ${CMAKE_CURRENT_BINARY_DIR}/${BINDINGSTEST_MOC})
target_link_libraries(benchmarktest ${QT_QTTEST_LIBRARY} kolab_static)

QT4_AUTOMOC(formattest.cpp)
add_executable(formattest formattest.cpp  ${CMAKE_CURRENT_BINARY_DIR}/${BINDINGSTEST_MOC})
target_link_libraries(formattest ${QT_QTTEST_LIBRARY} kolab_static)

QT4_AUTOMOC(upgradetest.cpp)
add_executable(upgradetest upgradetest.cpp  ${CMAKE_CURRENT_BINARY_DIR}/${BINDINGSTEST_MOC})
target_link_libraries(upgradetest ${QT_QTTEST_LIBRARY} kolab_static)

QT4_AUTOMOC(kcalconversiontest.cpp)
add_executable(kcalconversiontest kcalconversiontest.cpp ${CMAKE_CURRENT_BINARY_DIR}/${BINDINGSTEST_MOC})
target_link_libraries(kcalconversiontest ${QT_QTTEST_LIBRARY} kolab_static)

=== debian/changelog ===
libkolab (0.2.1-0ubuntu2) quantal; urgency=low

  * Add missing build-depends on libcurl4-gnutls-dev to fix FTBFS

 -- Scott Kitterman <scott@kitterman.com>  Thu, 27 Sep 2012 00:42:28 -0400

libkolab (0.2.1-0ubuntu1) quantal; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 19 Jul 2012 12:50:43 +0100

libkolab (0.2.0+repack1-0ubuntu2) quantal; urgency=low

  * Enable parallel building.
  * Switch to debhelper compat level v9 which exports build flags.
  * Add a watch file.
  * Use pkgkde_symbolshelper dh addon.
  * Update symbols file on amd64.
  * Pass --fail-missing to dh_install.

 -- Felix Geyer <debfx@ubuntu.com>  Tue, 17 Jul 2012 19:48:01 +0200

libkolab (0.2.0+repack1-0ubuntu1) quantal; urgency=low

  * Initial release.
  * Repack with licence files from upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 05 Jul 2012 12:55:57 +0100

=== debian/control ===
Source: libkolab
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: cmake,
               debhelper (>= 9),
               pkg-kde-tools,
               kdelibs5-dev,
               kdepimlibs5-dev,
               libkolabxml-dev,
               libboost1.49-dev,
               libxerces-c-dev,
               libboost-thread1.49-dev,
               libcurl4-gnutls-dev
Standards-Version: 3.9.3
Homepage: http://git.kolab.org/libkolab

Package: libkolab0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Maps KDE containers to Kolab formats
 libkolab provides conversions from/to KDE containers, mime message
 handling and facilities to read and write kolabv2 and kolabv3.

Package: libkolab-dev
Section: libdevel
Architecture: any
Depends: libkolab0 (= ${binary:Version}),
         ${misc:Depends}
Description: Maps KDE containers to Kolab formats
 libkolab provides conversions from/to KDE containers, mime message
 handling and facilities to read and write kolabv2 and kolabv3.
 .
 This package contains the development files for the library.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel --with pkgkde_symbolshelper

override_dh_install:
	dh_install --fail-missing

## libkolab 0.4.1

=== CMakeLists.txt ===
project(Libkolab)

cmake_minimum_required(VERSION 2.6.4)

option( BUILD_TESTS "Build the tests" TRUE )
option( PYTHON_BINDINGS "Build bindings for python" FALSE )
option( PHP_BINDINGS "Build bindings for php" FALSE )
option( USE_LIBCALENDARING "Use libcalendaring" FALSE )

set(Libkolab_MODULE_DIR ${Libkolab_SOURCE_DIR}/cmake/modules)
set(CMAKE_MODULE_PATH ${Libkolab_MODULE_DIR})

# only available from cmake-2.8.0
if(${CMAKE_MAJOR_VERSION} EQUAL 2 AND ${CMAKE_MINOR_VERSION} GREATER 7)
    cmake_policy(SET CMP0012 NEW)
endif()

# only available from cmake-2.8.4
if(${CMAKE_MAJOR_VERSION} EQUAL 2 AND ${CMAKE_MINOR_VERSION} GREATER 7 AND
    ${CMAKE_PATCH_VERSION} GREATER 3)
    cmake_policy(SET CMP0017 NEW)
endif()

# Versioning
# x.y.z scheme
# Development versions are only x.y
#
# i.e.
# 0.1 (0.1 development version towards 0.1.0)
# 0.1.0 (first release)
# 0.1.1 (patch release for 0.1.0)
# 0.2 (0.2 development version towards 0.2.0)
set(Libkolab_VERSION_MAJOR 0)
set(Libkolab_VERSION_MINOR 4)
# Enable the full x.y.z version only for release versions
set(Libkolab_VERSION_PATCH 1)
set(Libkolab_VERSION ${Libkolab_VERSION_MAJOR}.${Libkolab_VERSION_MINOR}.${Libkolab_VERSION_PATCH} )
#set(Libkolab_VERSION ${Libkolab_VERSION_MAJOR}.${Libkolab_VERSION_MINOR} )
#set(Libkolab_VERSION_STRING ${CMAKE_PROJECT_NAME}-${Libkolab_VERSION})

# set up install directories.
set(LIB_INSTALL_DIR lib CACHE STRING "The directories where to install libraries to")
set(INCLUDE_INSTALL_DIR include CACHE STRING "The directory where to install headers to")
set(INCLUDE_INSTALL_DIR ${INCLUDE_INSTALL_DIR}/kolab)
set(CMAKECONFIG_INSTALL_DIR ${LIB_INSTALL_DIR}/cmake/Libkolab )

include(MacroLogFeature)

# Do the building
find_package(Libkolabxml 0.7 REQUIRED)
macro_log_feature(Libkolabxml_FOUND "Libkolabxml" "Kolab XML Format 3 serializing library" "http://git.kolab.org/libkolabxml/" TRUE "0.7" "Required for reading/writing Kolab XML Objects")

find_package(Qt4 4.6.0 REQUIRED)

if (USE_LIBCALENDARING)
    find_package(Libcalendaring)
    macro_log_feature(LIBCALENDARING_FOUND "Libcalendaring" "KDE Calendaring-Dependencies Library" "http://git.kolab.org/libcalendaring/" TRUE "" "Required if KDE libraries are not available.")
else()
    find_package(KDE4 4.8 REQUIRED)
    find_package(KdepimLibs 4.8 REQUIRED)
endif()

find_package(SWIG)

#Show summary of found libraries
macro_display_feature_log()

# add_definitions(-DKDEPIMLIBS_VERSION=0x${KdepimLibs_VERSION_MAJOR}0${KdepimLibs_VERSION_MINOR}${KDEPIMLIBS_VERSION_PATCH})
# add_definitions( -DKDEPIMLIBS_VERSION=((${KdepimLibs_VERSION_MAJOR}<<16)|(${KdepimLibs_VERSION_MINOR}<<8)|(${KDEPIMLIBS_VERSION_PATCH})) )

if("${KdepimLibs_VERSION}" VERSION_GREATER "4.8.40" OR USE_LIBCALENDARING)
    add_definitions(-DKDEPIMLIBS_VERSION_DEVEL)
endif()

set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-exceptions -DQT_NO_EXCEPTIONS -fno-check-new -fno-common -Woverloaded-virtual -fno-threadsafe-statics -fvisibility=hidden -Werror=return-type -fvisibility-inlines-hidden -fexceptions -UQT_NO_EXCEPTIONS -fPIC -g" )
# message("${CMAKE_CXX_FLAGS}")

if (USE_LIBCALENDARING)
    set( KDE_INCLUDES ${Libcalendaring_INCLUDE_DIRS} )
    set( KDE_LIBRARIES ${Libcalendaring_LIBRARIES} )
    message("${Libcalendaring_INCLUDE_DIRS} ${Libcalendaring_LIBRARIES}")
else()
    set( KDE_INCLUDES ${KDEPIMLIBS_INCLUDE_DIRS} ${KDE4_INCLUDE_DIR})
    set( KDE_LIBRARIES
        ${KDEPIMLIBS_KCALCORE_LIBS}
        ${KDEPIMLIBS_KABC_LIBS}
        ${KDEPIMLIBS_KMIME_LIBS}
        ${KDEPIMLIBS_AKONADI_LIBS}
        ${KDEPIMLIBS_AKONADI_NOTES_LIBS}
        ${KDEPIMLIBS_KCALUTILS_LIBS}
        ${KDEPIMLIBS_KPIMUTILS_LIBS}
        ${KDE4_KDECORE_LIBRARY}
        ${KDE4_KIO_LIBRARY}
        )
endif()

find_package(Boost REQUIRED)

include_directories(    
    ${QT_INCLUDES}
    ${KDE_INCLUDES}
    ${CMAKE_BINARY_DIR}
    ${Boost_INCLUDE_DIRS}
    ${CMAKE_CURRENT_SOURCE_DIR}/kolabformatV2
    ${Libkolabxml_INCLUDES}
    ./
)

configure_file(libkolab-version.h.cmake "${CMAKE_BINARY_DIR}/libkolab-version.h" @ONLY)

add_subdirectory(kolabformatV2)
add_subdirectory(conversion)
add_subdirectory(calendaring)
add_subdirectory(icalendar)
add_subdirectory(freebusy)

QT4_WRAP_CPP(CALENDARING_MOC calendaring/event.h)
# QT4_WRAP_CPP(CONVERSION_MOC conversion/qtevent.h conversion/qtduration.h)

set(KOLAB_SRCS
    kolabformat/kolabobject.cpp
    kolabformat/xmlobject.cpp
    kolabformat/formathelpers.cpp
    kolabformat/errorhandler.cpp
    kolabformat/v2helpers.cpp
    mime/mimeutils.cpp
    ${CONVERSION_SRCS}
    ${kolabformatv2_SRCS}
    ${CALENDARING_SRCS}
    ${ICALENDAR_SRCS}
    ${CALENDARING_MOC}
    ${CONVERSION_MOC}
    ${FREEBUSY_SRCS}
)

set(KOLAB_LINK_LIBRARIES
    ${Libkolabxml_LIBRARIES}
    ${QT_QTCORE_LIBRARY}
    ${QT_QTXML_LIBRARY}
    ${QT_QTGUI_LIBRARY}
    ${KDE_LIBRARIES}
)
if(BUILD_TESTS)
    #for tests only
    enable_testing()
    add_library(kolab_static STATIC ${KOLAB_SRCS})
    target_link_libraries(kolab_static ${KOLAB_LINK_LIBRARIES})
    add_subdirectory(tests)
endif(BUILD_TESTS)

add_library(kolab SHARED ${KOLAB_SRCS})
target_link_libraries(kolab ${KOLAB_LINK_LIBRARIES})
set_target_properties(kolab PROPERTIES VERSION ${Libkolab_VERSION}
                                     SOVERSION ${Libkolab_VERSION_MAJOR} )

install(TARGETS kolab EXPORT LibkolabExport 
    RUNTIME DESTINATION ${BIN_INSTALL_DIR}
    LIBRARY DESTINATION ${LIB_INSTALL_DIR}
    ARCHIVE DESTINATION ${LIB_INSTALL_DIR}
)

install(FILES
    kolab_export.h
    kolabformat/kolabdefinitions.h
    kolabformat/formathelpers.h
    kolabformat/kolabobject.h
    kolabformat/errorhandler.h
    conversion/kcalconversion.h
    conversion/kabcconversion.h
    conversion/commonconversion.h
    freebusy/freebusy.h
    DESTINATION ${INCLUDE_INSTALL_DIR}
)

install(EXPORT LibkolabExport DESTINATION ${CMAKECONFIG_INSTALL_DIR} FILE LibkolabTargets.cmake )

file(RELATIVE_PATH relInstallDir ${CMAKE_INSTALL_PREFIX}/${CMAKECONFIG_INSTALL_DIR} ${CMAKE_INSTALL_PREFIX} )

configure_file(${Libkolab_MODULE_DIR}/LibkolabConfig.cmake.in ${Libkolab_BINARY_DIR}/LibkolabConfig.cmake @ONLY )
configure_file(${Libkolab_MODULE_DIR}/LibkolabConfigVersion.cmake.in ${Libkolab_BINARY_DIR}/LibkolabConfigVersion.cmake @ONLY )
# Install these two files into the same directory as the generated exports-file.
install(FILES ${Libkolab_BINARY_DIR}/LibkolabConfig.cmake ${Libkolab_BINARY_DIR}/LibkolabConfigVersion.cmake
        DESTINATION ${CMAKECONFIG_INSTALL_DIR} )


include(SWIGUtils)
if(PYTHON_BINDINGS)
    generatePythonBindings(shared shared.i)
endif(PYTHON_BINDINGS)

if(PHP_BINDINGS)
    generatePHPBindings(kolabshared shared.i)
    add_subdirectory(kolabformat/php)
endif(PHP_BINDINGS)

=== tests/CMakeLists.txt ===

include_directories(${CMAKE_CURRENT_BINARY_DIR})
add_definitions(-DTEST_DATA_PATH="${CMAKE_CURRENT_SOURCE_DIR}")

macro(addTest TEST_NAME)
    QT4_AUTOMOC(${TEST_NAME}.cpp)
    add_executable(${TEST_NAME} ${TEST_NAME}.cpp)
    target_link_libraries(${TEST_NAME} ${QT_QTTEST_LIBRARY} kolab_static)
    add_test(${TEST_NAME} ${CMAKE_CURRENT_BINARY_DIR}/${TEST_NAME})
endmacro()

QT4_AUTOMOC(benchmark.cpp)
add_executable(benchmarktest benchmark.cpp)
target_link_libraries(benchmarktest ${QT_QTTEST_LIBRARY} kolab_static)

addTest(formattest)
addTest(upgradetest)
addTest(kcalconversiontest)
addTest(calendaringtest)
addTest(icalendartest)
addTest(freebusytest)
addTest(kolabobjecttest)
addTest(timezonetest)

=== debian/changelog ===
libkolab (0.4.1-0ubuntu1) raring; urgency=low

  [ Prasad Murthy ]
  * New upstream release
    - update libkolab-dev.install
    - add new symbols to libkolab0.symbols
    - add swig to Build-depends

  [ Philip Muškovac ]
  * Don't fail if the tests fail. They need a running kde environment to
    finish successfully
  * Add libboost-system1.49-dev to Build-Depends

 -- Prasad Murthy <phoenix_firebrd@yahoo.com>  Wed, 23 Jan 2013 07:06:34 +0530

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,9 @@
                libboost1.49-dev,
                libxerces-c-dev,
                libboost-thread1.49-dev,
-               libcurl4-gnutls-dev
+               libboost-system1.49-dev,
+               libcurl4-gnutls-dev,
+               swig
 Standards-Version: 3.9.3
 Homepage: http://git.kolab.org/libkolab

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,6 @@
 
 override_dh_install:
 	dh_install --fail-missing
+	
+override_dh_auto_test:
+	-dh_auto_test

## libkolab 0.4.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -33,10 +33,10 @@
 set(Libkolab_VERSION_MAJOR 0)
 set(Libkolab_VERSION_MINOR 4)
 # Enable the full x.y.z version only for release versions
-set(Libkolab_VERSION_PATCH 1)
+set(Libkolab_VERSION_PATCH 2)
 set(Libkolab_VERSION ${Libkolab_VERSION_MAJOR}.${Libkolab_VERSION_MINOR}.${Libkolab_VERSION_PATCH} )
 #set(Libkolab_VERSION ${Libkolab_VERSION_MAJOR}.${Libkolab_VERSION_MINOR} )
-#set(Libkolab_VERSION_STRING ${CMAKE_PROJECT_NAME}-${Libkolab_VERSION})
+set(Libkolab_VERSION_STRING ${CMAKE_PROJECT_NAME}-${Libkolab_VERSION})
 
 # set up install directories.
 set(LIB_INSTALL_DIR lib CACHE STRING "The directories where to install libraries to")
@@ -74,6 +74,7 @@
 
 set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-exceptions -DQT_NO_EXCEPTIONS -fno-check-new -fno-common -Woverloaded-virtual -fno-threadsafe-statics -fvisibility=hidden -Werror=return-type -fvisibility-inlines-hidden -fexceptions -UQT_NO_EXCEPTIONS -fPIC -g" )
 # message("${CMAKE_CXX_FLAGS}")
+set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -DQT_NO_DEBUG")
 
 if (USE_LIBCALENDARING)
     set( KDE_INCLUDES ${Libcalendaring_INCLUDE_DIRS} )

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -21,3 +21,11 @@
 addTest(freebusytest)
 addTest(kolabobjecttest)
 addTest(timezonetest)
+addTest(xmlobjecttest)
+
+if(PHP_BINDINGS)
+    find_path(PHP_KOLABFORMAT_PATH NAMES kolabformat.php PATHS /usr/local/lib/php/modules /usr/lib/php/modules PATH_SUFFIXES lib/php/modules lib64/php/modules)
+    message("php kolabformat include path for testing ${PHP_KOLABFORMAT_PATH}")
+    add_test(phptest php -d enable_dl=On -d include_path='.:/usr/share/pear:${CMAKE_BINARY_DIR}:${CMAKE_BINARY_DIR}/calendaring/php:${PHP_KOLABFORMAT_PATH}' -d extension=${CMAKE_BINARY_DIR}/lib/kolabcalendaring.so -d extension=${CMAKE_BINARY_DIR}/lib/kolabshared.so -d extension=${PHP_KOLABFORMAT_PATH}/kolabformat.so ${CMAKE_SOURCE_DIR}/calendaring/php/test.php --verbose)
+endif()
+

## libkolab 0.5.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -31,9 +31,9 @@
 # 0.1.1 (patch release for 0.1.0)
 # 0.2 (0.2 development version towards 0.2.0)
 set(Libkolab_VERSION_MAJOR 0)
-set(Libkolab_VERSION_MINOR 4)
+set(Libkolab_VERSION_MINOR 5)
 # Enable the full x.y.z version only for release versions
-set(Libkolab_VERSION_PATCH 2)
+set(Libkolab_VERSION_PATCH 0)
 set(Libkolab_VERSION ${Libkolab_VERSION_MAJOR}.${Libkolab_VERSION_MINOR}.${Libkolab_VERSION_PATCH} )
 #set(Libkolab_VERSION ${Libkolab_VERSION_MAJOR}.${Libkolab_VERSION_MINOR} )
 set(Libkolab_VERSION_STRING ${CMAKE_PROJECT_NAME}-${Libkolab_VERSION})
@@ -44,11 +44,19 @@
 set(INCLUDE_INSTALL_DIR ${INCLUDE_INSTALL_DIR}/kolab)
 set(CMAKECONFIG_INSTALL_DIR ${LIB_INSTALL_DIR}/cmake/Libkolab )
 
+# Make relative paths absolute (needed later on)
+foreach(p LIB INCLUDE CMAKECONFIG)
+    set(var ${p}_INSTALL_DIR)
+    if(NOT IS_ABSOLUTE "${${var}}")
+        set(${var} "${CMAKE_INSTALL_PREFIX}/${${var}}")
+    endif()
+endforeach()
+
 include(MacroLogFeature)
 
 # Do the building
-find_package(Libkolabxml 0.7 REQUIRED)
-macro_log_feature(Libkolabxml_FOUND "Libkolabxml" "Kolab XML Format 3 serializing library" "http://git.kolab.org/libkolabxml/" TRUE "0.7" "Required for reading/writing Kolab XML Objects")
+find_package(Libkolabxml 1.0 REQUIRED)
+macro_log_feature(Libkolabxml_FOUND "Libkolabxml" "Kolab XML Format 3 serializing library" "http://git.kolab.org/libkolabxml/" TRUE "1.0" "Required for reading/writing Kolab XML Objects")
 
 find_package(Qt4 4.6.0 REQUIRED)
 
@@ -65,8 +73,10 @@
 #Show summary of found libraries
 macro_display_feature_log()
 
-# add_definitions(-DKDEPIMLIBS_VERSION=0x${KdepimLibs_VERSION_MAJOR}0${KdepimLibs_VERSION_MINOR}${KDEPIMLIBS_VERSION_PATCH})
 # add_definitions( -DKDEPIMLIBS_VERSION=((${KdepimLibs_VERSION_MAJOR}<<16)|(${KdepimLibs_VERSION_MINOR}<<8)|(${KDEPIMLIBS_VERSION_PATCH})) )
+add_definitions( -DKDEPIMLIBS_VERSION_MAJOR=${KdepimLibs_VERSION_MAJOR} )
+add_definitions( -DKDEPIMLIBS_VERSION_MINOR=${KdepimLibs_VERSION_MINOR} )
+add_definitions( -DKDEPIMLIBS_VERSION_PATCH=${KdepimLibs_VERSION_PATCH} )
 
 if("${KdepimLibs_VERSION}" VERSION_GREATER "4.8.40" OR USE_LIBCALENDARING)
     add_definitions(-DKDEPIMLIBS_VERSION_DEVEL)
@@ -114,6 +124,7 @@
 add_subdirectory(calendaring)
 add_subdirectory(icalendar)
 add_subdirectory(freebusy)
+add_subdirectory(utils)
 
 QT4_WRAP_CPP(CALENDARING_MOC calendaring/event.h)
 # QT4_WRAP_CPP(CONVERSION_MOC conversion/qtevent.h conversion/qtduration.h)
@@ -124,6 +135,7 @@
     kolabformat/formathelpers.cpp
     kolabformat/errorhandler.cpp
     kolabformat/v2helpers.cpp
+	kolabformat/mimeobject.cpp
     mime/mimeutils.cpp
     ${CONVERSION_SRCS}
     ${kolabformatv2_SRCS}
@@ -166,6 +178,8 @@
     kolabformat/formathelpers.h
     kolabformat/kolabobject.h
     kolabformat/errorhandler.h
+    kolabformat/xmlobject.h
+    kolabformat/mimeobject.h
     conversion/kcalconversion.h
     conversion/kabcconversion.h
     conversion/commonconversion.h
@@ -173,9 +187,12 @@
     DESTINATION ${INCLUDE_INSTALL_DIR}
 )
 
+#Get the include directory relative to CMAKECONFIG_INSTALL_DIR
+file(RELATIVE_PATH REL_INCLUDE_DIR "${CMAKECONFIG_INSTALL_DIR}" "${INCLUDE_INSTALL_DIR}")
+#Assemble the full relative path. This will be used in the LibkolabConfig.cmake, which will be installed in CMAKECONFIG_INSTALL_DIR
+set(CONF_INCLUDE_DIRS "\${Libkolab_CMAKE_DIR}/${REL_INCLUDE_DIR}")
+
 install(EXPORT LibkolabExport DESTINATION ${CMAKECONFIG_INSTALL_DIR} FILE LibkolabTargets.cmake )
-
-file(RELATIVE_PATH relInstallDir ${CMAKE_INSTALL_PREFIX}/${CMAKECONFIG_INSTALL_DIR} ${CMAKE_INSTALL_PREFIX} )
 
 configure_file(${Libkolab_MODULE_DIR}/LibkolabConfig.cmake.in ${Libkolab_BINARY_DIR}/LibkolabConfig.cmake @ONLY )
 configure_file(${Libkolab_MODULE_DIR}/LibkolabConfigVersion.cmake.in ${Libkolab_BINARY_DIR}/LibkolabConfigVersion.cmake @ONLY )
@@ -187,6 +204,7 @@
 include(SWIGUtils)
 if(PYTHON_BINDINGS)
     generatePythonBindings(shared shared.i)
+    add_subdirectory(kolabformat/python)
 endif(PYTHON_BINDINGS)
 
 if(PHP_BINDINGS)

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -21,7 +21,10 @@
 addTest(freebusytest)
 addTest(kolabobjecttest)
 addTest(timezonetest)
+addTest(mimeobjecttest)
 addTest(xmlobjecttest)
+addTest(debugstreamtest)
+addTest(legacyformattest)
 
 if(PHP_BINDINGS)
     find_path(PHP_KOLABFORMAT_PATH NAMES kolabformat.php PATHS /usr/local/lib/php/modules /usr/lib/php/modules PATH_SUFFIXES lib/php/modules lib64/php/modules)

=== utils/CMakeLists.txt ===

find_package(Boost REQUIRED COMPONENTS program_options)

add_executable(kolabformatchecker kolabformatchecker.cpp)
target_link_libraries(kolabformatchecker kolab_static ${Boost_LIBRARIES})

=== icalendar/php/CMakeLists.txt ===
#Generate PHP wrapper
include_directories(../)
include(SWIGUtils)
generatePHPBindings(kolabicalendar ../icalendar.i)

=== icalendar/python/CMakeLists.txt ===
include_directories(../)
include(SWIGUtils)
generatePythonBindings(icalendar ../icalendar.i)

=== kolabformat/python/CMakeLists.txt ===
include_directories(../)
include(SWIGUtils)
generatePythonBindings(kolabobject ../kolabobject.i)

=== debian/changelog ===
libkolab (0.5.0-0ubuntu4) trusty; urgency=medium

  * Debhelper now defaults to building build-type none.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 18 Mar 2014 01:15:20 +0000

libkolab (0.5.0-0ubuntu3) trusty; urgency=medium

  * Update symbols for PPC, ARM, PPC64EL

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 06 Jan 2014 18:06:50 +0100

libkolab (0.5.0-0ubuntu2) trusty; urgency=medium

  * overriden_command is pkg-kde-tools specific and does not work
    on packages that don't use it
    - Replace overriden_command with dh_shlibdeps
  * Override dh_makeshlibs to fail on new symbols
  * Update symbols

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 06 Jan 2014 17:10:05 +0100

libkolab (0.5.0-0ubuntu1) trusty; urgency=medium

  * New upstream release
  * Add build-dep on libboost-program-options1.54-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 13 Dec 2013 14:25:52 +0000

libkolab (0.4.1-0ubuntu5) trusty; urgency=low

  * Add kubuntu_compile_tests.diff to remove non-compiling
    tests
  * Remove kubuntu_no_redeclaire.diff as it causes further errors

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 21 Nov 2013 17:30:36 +0000

libkolab (0.4.1-0ubuntu4) trusty; urgency=low

  * Add kubuntu_no_redeclaire.diff to fix compile with gcc 4.8.2

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Nov 2013 19:12:43 +0000

libkolab (0.4.1-0ubuntu3) trusty; urgency=low

  * In debian/rules exclude kdepim-runtime from depends

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Nov 2013 18:39:09 +0000

libkolab (0.4.1-0ubuntu2) saucy; urgency=low

  * Use default libboost-dev like the rest of KDE.

 -- William Grant <wgrant@ubuntu.com>  Tue, 15 Oct 2013 19:34:42 +1100

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,12 @@
                kdelibs5-dev,
                kdepimlibs5-dev,
                libkolabxml-dev,
-               libboost1.49-dev,
+               libboost1.54-dev,
                libxerces-c-dev,
-               libboost-thread1.49-dev,
-               libboost-system1.49-dev,
+               libboost-thread1.54-dev,
+               libboost-system1.54-dev,
                libcurl4-gnutls-dev,
+               libboost-program-options1.54-dev,
                swig
 Standards-Version: 3.9.3
 Homepage: http://git.kolab.org/libkolab

=== debian/watch ===
version=3
http://git.kolab.org/libkolab/ \
  /libkolab/snapshot/libkolab-([0-9\.]+)\.tar\.gz

## libkolab 0.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -33,7 +33,7 @@
 set(Libkolab_VERSION_MAJOR 0)
 set(Libkolab_VERSION_MINOR 5)
 # Enable the full x.y.z version only for release versions
-set(Libkolab_VERSION_PATCH 0)
+set(Libkolab_VERSION_PATCH 2)
 set(Libkolab_VERSION ${Libkolab_VERSION_MAJOR}.${Libkolab_VERSION_MINOR}.${Libkolab_VERSION_PATCH} )
 #set(Libkolab_VERSION ${Libkolab_VERSION_MAJOR}.${Libkolab_VERSION_MINOR} )
 set(Libkolab_VERSION_STRING ${CMAKE_PROJECT_NAME}-${Libkolab_VERSION})
@@ -82,7 +82,7 @@
     add_definitions(-DKDEPIMLIBS_VERSION_DEVEL)
 endif()
 
-set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-exceptions -DQT_NO_EXCEPTIONS -fno-check-new -fno-common -Woverloaded-virtual -fno-threadsafe-statics -fvisibility=hidden -Werror=return-type -fvisibility-inlines-hidden -fexceptions -UQT_NO_EXCEPTIONS -fPIC -g" )
+set( CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wnon-virtual-dtor -Wno-long-long -ansi -Wundef -Wcast-align -Wchar-subscripts -Wall -W -Wpointer-arith -Wformat-security -fno-exceptions -DQT_NO_EXCEPTIONS -fno-common -Woverloaded-virtual -fno-threadsafe-statics -fvisibility=hidden -Werror=return-type -fvisibility-inlines-hidden -fexceptions -UQT_NO_EXCEPTIONS -fPIC -g" )
 # message("${CMAKE_CXX_FLAGS}")
 set(CMAKE_CXX_FLAGS_RELEASE "${CMAKE_CXX_FLAGS_RELEASE} -DQT_NO_DEBUG")

=== kolabformatV2/CMakeLists.txt ===

set( kolabformatv2_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/kolabbase.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/contact.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/distributionlist.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/event.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/task.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/journal.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/incidence.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/note.cpp
#     kolabformatv2.cpp
    PARENT_SCOPE)

=== utils/CMakeLists.txt ===

find_package(Boost REQUIRED COMPONENTS program_options)

add_executable(kolabformatchecker kolabformatchecker.cpp)
target_link_libraries(kolabformatchecker kolab ${Boost_LIBRARIES})

=== debian/changelog ===
libkolab (0.5.2-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 18 Jul 2014 22:05:02 -0700

libkolab (0.5.0-0ubuntu5) utopic; urgency=high

  * Rebuild against boost1.55

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Sat, 03 May 2014 22:11:54 +0100

=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
                kdelibs5-dev,
                kdepimlibs5-dev,
                libkolabxml-dev,
-               libboost1.54-dev,
+               libboost1.55-dev,
                libxerces-c-dev,
-               libboost-thread1.54-dev,
-               libboost-system1.54-dev,
+               libboost-thread1.55-dev,
+               libboost-system1.55-dev,
                libcurl4-gnutls-dev,
-               libboost-program-options1.54-dev,
+               libboost-program-options1.55-dev,
                swig
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Homepage: http://git.kolab.org/libkolab
 
 Package: libkolab0

=== debian/rules ===
--- 
+++ 
@@ -5,6 +5,12 @@
 
 override_dh_install:
 	dh_install --fail-missing
-	
+
+override_dh_makeshlibs:
+	dh_makeshlibs -- -c2
+
+override_dh_shlibdeps:
+	dh_shlibdeps -- -xkdepim-runtime
+
 override_dh_auto_test:
 	-dh_auto_test

## libkolab 0.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -33,13 +33,13 @@
 set(Libkolab_VERSION_MAJOR 0)
 set(Libkolab_VERSION_MINOR 5)
 # Enable the full x.y.z version only for release versions
-set(Libkolab_VERSION_PATCH 2)
+set(Libkolab_VERSION_PATCH 3)
 set(Libkolab_VERSION ${Libkolab_VERSION_MAJOR}.${Libkolab_VERSION_MINOR}.${Libkolab_VERSION_PATCH} )
 #set(Libkolab_VERSION ${Libkolab_VERSION_MAJOR}.${Libkolab_VERSION_MINOR} )
 set(Libkolab_VERSION_STRING ${CMAKE_PROJECT_NAME}-${Libkolab_VERSION})
 
 # set up install directories.
-set(LIB_INSTALL_DIR lib CACHE STRING "The directories where to install libraries to")
+set(LIB_INSTALL_DIR lib${LIB_SUFFIX} CACHE STRING "The directories where to install libraries to")
 set(INCLUDE_INSTALL_DIR include CACHE STRING "The directory where to install headers to")
 set(INCLUDE_INSTALL_DIR ${INCLUDE_INSTALL_DIR}/kolab)
 set(CMAKECONFIG_INSTALL_DIR ${LIB_INSTALL_DIR}/cmake/Libkolab )

=== debian/changelog ===
libkolab (0.5.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Special thanks to Sven Eckelmann for the patch that fixed #732213.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 05 Sep 2014 21:52:04 +0200

libkolab (0.5.2-2) unstable; urgency=medium

  * Team upload.
  * New patch: 0001-Allow-KDateTime-with-only-valid-date.patch (Closes:
    #732213) Thanks to Franz Schrober.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 25 Aug 2014 20:53:40 +0200

libkolab (0.5.2-1) unstable; urgency=medium

  * Add libkolab0.symbols and supporting pkgkde-symbolshelper
    components
  * Force specific python library version, CMake will default to python3
    even though these build scripts assume python2.
  * Add make_python_package.patch to force python kolab to be a package.
  * Imported version 0.5.2
    This release is based on the unreleased 0.5.0 work by Paul Klos.
  * Add myself to uploaders.
  * Update vcs-git to canonical URL.
  * Update cmake PHP variable names in override_dh_auto_configure.
  * Update Standards-Version to 3.9.5. No changes needed.

 -- Diane Trout <diane@ghic.org>  Sat, 28 Jun 2014 22:13:10 -0700

libkolab (0.4.2-7.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix double definition of struct QMetaTypeId<KCalCore::Duration>
    (Closes: #747808)

 -- Ondřej Surý <ondrej@debian.org>  Sun, 01 Jun 2014 23:17:12 +0200

libkolab (0.4.2-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build explicitely against Python 2.7, even if 3.x is installed.
    Closes: #745598

 -- Evgeni Golov <evgeni.golov@credativ.de>  Sun, 27 Apr 2014 13:15:28 +0200

libkolab (0.4.2-7) unstable; urgency=low

  * Fix saving of pictures to kabc resources (Closes: #721099)
    Upstream commit
    http://git.kolab.org/libkolab/
    commit/?id=fa19b0d21f3e064adbdff907f06cd15b2cb81d16

 -- Paul Klos <kolab@klos2day.nl>  Wed, 28 Aug 2013 20:20:39 +0200

libkolab (0.4.2-6) unstable; urgency=low

  * Disable rpath
  * Don't set LIB_INSTALL_DIR, it messes up the generated cmake module
  * Use generated Python dependencies for python-kolab
  * Add copyright section for generated cmake files
  * Remove unneccessary export
  * Install kolab.ini from debian/ dir
  * Simpler SWIG test
  * Update standards version
  * Remove unused-override hardening-no-fortify-functions
  * Exclude kdepim-runtime from shdeps
  * Streamline php-kolab install
  * Fix dependencies for libkolab-dev
  * Update changelog

 -- Paul Klos <kolab@klos2day.nl>  Mon, 12 Aug 2013 14:01:00 +0200

libkolab (0.4.2-5) unstable; urgency=low

  * Upload to Debian

 -- Paul Klos <kolab@klos2day.nl>  Fri, 24 May 2013 21:52:37 +0200

libkolab (0.4.2-4) unstable; urgency=low

  * Remove leftovers from dual build
  * Create shlibs from rules (not static file)
  * Remove obsolete conflicts
  * Add separate copyright for debian/*
  * Update changelog

 -- Paul Klos <kolab@klos2day.nl>  Mon, 13 May 2013 22:27:24 +0200

libkolab (0.4.2-3) unstable; urgency=low

  * Revert to single build, depend only on kdepimlibs.
  * Update changelog

 -- Paul Klos <kolab@klos2day.nl>  Tue, 23 Apr 2013 20:45:12 +0200

libkolab (0.4.2-2) unstable; urgency=low

  * Update changelog
  * Depend on libkolabxml0 (>= 0.8.4)

 -- Paul Klos <kolab@klos2day.nl>  Mon, 22 Apr 2013 18:01:30 +0200

libkolab (0.4.2-1) unstable; urgency=low

  * Imported Upstream version 0.4.2
  * Build the package twice: once for clients, once for servers.
    The client build depends on kdepimlibs. The server build
    depends on libcalendaring.
  * Build-depend on kdelibs5-dev
  * Build-depend on kdepimlibs5-dev
  * Correct copy-paste errors in overrides
  * Duplicate dh_install for client and server
  * New binary package libkolab-kde for the libkolab that depends on KDE/Qt
  * Add debug info
  * Copy kolab.ini manually in rules file
  * Copy kolab.ini after installing the other files
    and make sure the path exists
  * Fix install locations
  * Depend on correct version of libkolabxml Add Conflicts for
    libkolab0 and libkolab-kde0
  * More verbosity
  * Correct library names
  * Use server build output for all packages except libkolab-kde
  * Correct dh_auto_build/dh_auto_install options
  * Create separate client and server builds.
    The server build is still called libkolab and depends on libcalendaring.
    The client build is named libkolab-kde, and links against kdepimlibs.
  * Set target names sooner.
    Build failed because apparently the target name is required sooner.
  * Correct library names
  * Remove unneccesary build dependency on kdelibs5-dev.
  * Create separate -dev, php and python packages.
    All 4 packages (libkolab, libkolab-dev, php-kolab and python-kolab)
    must be supplied in both a server and a KDE falvour.
  * Correct long lines
  * Call dh_install for all packages
  * Add package conflicts
  * Make php-kolab-kde depend on PHP api
  * Correct dh_install call for python-kolab-kde
  * Separate shlibs file for libkolab and libkolab-kde
  * Updated loong descriptions
  * Add LIB_INSTALL_DIR
  * Update changelog

 -- Paul Klos <kolab@klos2day.nl>  Sun, 21 Apr 2013 23:19:24 +0200

libkolab (0.4.0-3) unstable; urgency=low

  * Prepare for transition into Debian proper

 -- Paul Klos <kolab@klos2day.nl>  Wed, 03 Apr 2013 00:04:34 +0200

libkolab (0.4.0-2) unstable; urgency=low

  [ Jeroen van Meeuwen (Kolab Systems) ]
  * Correct loading of libkolab PHP bindings modules
  * Pull in php-kolabformat just to make sure kolabformat.so is loaded

  [ Jeroen van Meeuwen ]

 -- Jeroen van Meeuwen (Kolab Systems) <vanmeeuwen@kolabsys.com>  Mon, 26 Nov 2012 15:36:55 +0100

libkolab (0.4.0-1) unstable; urgency=low

  [ Jeroen van Meeuwen (Kolab Systems) ]
  * Imported Upstream version 0.4.0
  * Update kolab.ini to match the new module from libkolab

  [ Jeroen van Meeuwen ]

 -- Jeroen van Meeuwen (Kolab Systems) <vanmeeuwen@kolabsys.com>  Sun, 25 Nov 2012 06:53:46 -0500



=== debian/control ===
Source: libkolab
Section: libs
Priority: optional
Maintainer: Debian Kolab Maintainers <pkg-kolab-devel@lists.alioth.debian.org>
Uploaders: Paul Klos <kolab@klos2day.nl>, Diane Trout <diane@ghic.org>
Build-Depends: cmake,
               libqt4-dev,
               debhelper (>= 9),
               pkg-kde-tools (>= 0.12),
               libkolabxml-dev (>= 1.0),
               libboost-program-options-dev,
               libcurl4-gnutls-dev,
               swig,
               php5-dev (>= 5.3),
               php5-cli,
               python-dev (>= 2.7),
               kdepimlibs5-dev (>= 4:4.10.0),
X-Python-Version: >= 2.7
Standards-Version: 3.9.5
Homepage: http://git.kolab.org/libkolab
Vcs-Git: git://anonscm.debian.org/pkg-kolab/libkolab.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kolab/libkolab.git

Package: libkolab0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Maps KDE containers to Kolab formats
 libkolab provides conversions from/to KDE containers, mime message
 handling and facilities to read and write kolabv2 and kolabv3.
 .
 The libkolab package provides:
  - kolabformatv2: Kolabformat v2 implementation moved here from kdepim-runtime
  - kolabformat:   Kolab object reading/writing (mime message + kolab-format).
                   Handles v2/v3 transparently.
  - conversion:    Conversions from KDE to Kolab containers and vice verca.
  - mime:          Mime message handling used by kolabformat
  - icalendar:     Exposes iCalendar functionality:
                   iCal reading/writing, iTip, iMip
  - calendaring:   Some general calendaring functions
 .
 The libkolab library belongs to the Kolab 3 server components.

Package: php-kolab
Architecture: any
Depends: libkolab0 (= ${binary:Version}),
         php-kolabformat,
         ucf,
         ${php:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: PHP bindings for Kolab Library
 This package provides the Kolab PHP modules icalendar and calendaring.
 .
  - The calendaring module provides some general calendaring functions
  - The icalendar module exposes iCalendar functionality:
    iCal reading/writing, iTip, iMip.

Package: python-kolab
Architecture: any
Section: python
Depends: libkolab0 (= ${binary:Version}),
         ${python:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python bindings for Kolab Library
 This package provides the Kolab Python modules icalendar and calendaring.
 .
  - The calendaring module provides some general calendaring functions
  - The icalendar module exposes iCalendar functionality:
    iCal reading/writing, iTip, iMip.

Package: libkolab-dev
Section: libdevel
Architecture: any
Depends: libkolab0 (= ${binary:Version}),
         ${misc:Depends},
         libqt4-dev,
         kdepimlibs5-dev,
         libkolabxml-dev
Description: Development package for Kolab library
 libkolab provides conversions from/to KDE containers, mime message
 handling and facilities to read and write kolabv2 and kolabv3.
 .
 This package contains the development files for the library,
 including headers and Libkolab cmake files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

PHPAPI := $(shell php-config --phpapi)
PYTHON_SITEARCH := $(shell python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib(1)')

export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND="-Wl,--as-needed"

%:
	dh $@ --parallel --with python2,pkgkde-symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- \
		-DPHP_BINDINGS=ON \
		-DPHP_INSTALL_DIR=/usr/lib/php5/$(PHPAPI)/ \
		-DPHP_EXECUTABLE=/usr/bin/php5 \
		-DPHP_INCLUDE_PATH=/usr/include/php5/ \
		-DPYTHON_BINDINGS=ON \
		-DPYTHON_INSTALL_DIR=$(PYTHON_SITEARCH) \
		-DPYTHON_INCLUDE_DIR=/usr/include/python2.7 \
		-DPYTHON_LIBRARY=/usr/lib/$(DEB_BUILD_MULTIARCH)/libpython2.7.so

override_dh_gencontrol:
	echo "php:Depends=phpapi-${PHPAPI}" >> debian/php-kolab.substvars
	dh_gencontrol

override_dh_install:
	# Install the packages
	dh_install --fail-missing

override_dh_auto_test:

override_dh_makeshlibs:
	dh_makeshlibs -V 'libkolab0 (>= 0.5.0)'

override_dh_shlibdeps:
	dh_shlibdeps -- -xkdepim-runtime

## libkolab 0.6.0

=== debian/changelog ===
libkolab (0.6.0-3.1) unstable; urgency=high

  * Non-maintainer upload.
  * Remove PHP bindings as swig doesn't support PHP 7.0 yet.
    (Closes: #821686)

 -- Ondřej Surý <ondrej@debian.org>  Wed, 15 Jun 2016 10:03:07 +0200

libkolab (0.6.0-3) unstable; urgency=medium

  [ Sandro Knauß ]
  * Check gpg signature for upstream tarballs
  * Fixes postrm, that breaks upgrading package. (Closes: #817808)

  [ Diane Trout ]
  * change my email address back to personal
  * Update Standards-Version to 3.9.8. No changes needed
  * Use secure URLs for Vcs-*

 -- Diane Trout <diane@ghic.org>  Thu, 14 Apr 2016 20:14:23 -0700

libkolab (0.6.0-2) unstable; urgency=medium

  * Update libkolabxml's build dependency to 1.1.1 to pick up the new
    version of libkolabxml built against gcc-5
  * Refresh patches
  * Renmame libkolab0 to libkolab0v5 for gcc-5 transition and recreate
    symbols file
  * Update Diane Trout's email address.
  * Remove override_dh_makeshlibs, it was a relic
    from before libkolab was using pkgkde_symbolshelper.
  * Add breaks/replaces for libkolab0

 -- Diane Trout <diane@debian.org>  Tue, 18 Aug 2015 15:28:16 -0700

libkolab (0.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Updated Descriptions (Closes: #724845)
  * Added libxerces-c-dev, libboost-thread-dev to build-dep.
  * Updated build-dep libkolabxml to 1.1.0 (minimun required dependency by
    upstream)
  * Updated Standards-Version to 3.9.6. No changes needed.
  * Added myself to uploaders with Diane's permission.
  * Added patch to build with current kdepimlibs (from kolab):
    002-Make-libkolab-compile-with-upstream-kdepimlibs.patch
  * Updated symbols file.
  * Added kolabdummy php module to prevent apache crash, while reloading
    (for further information see https://issues.kolab.org/show_bug.cgi?id=2050)
  * Cleanup/Fixes copyright file.
  * Updated php module dependency list.
  * Switched downloadurl to http://mirror.kolabsys.com/pub/releases/
    (there are also signed packages available, but unfortunately not
    a detached signature)

 -- Sandro Knauß <bugs@sandroknauss.de>  Wed, 27 May 2015 16:28:00 +0200

=== debian/control ===
Source: libkolab
Section: libs
Priority: optional
Maintainer: Debian Kolab Maintainers <pkg-kolab-devel@lists.alioth.debian.org>
Uploaders: Paul Klos <kolab@klos2day.nl>, Diane Trout <diane@ghic.org>, Sandro Knauß <bugs@sandroknauss.de>
Build-Depends: cmake,
               libqt4-dev,
               debhelper (>= 9),
               pkg-kde-tools (>= 0.12),
               libkolabxml-dev (>= 1.1.1),
               libboost-program-options-dev,
               libboost-thread-dev,
               libcurl4-gnutls-dev,
               libxerces-c-dev,
               swig,
               python-dev (>= 2.7),
               kdepimlibs5-dev (>= 4:4.10.0),
X-Python-Version: >= 2.7
Standards-Version: 3.9.8
Homepage: http://git.kolab.org/libkolab
Vcs-Git: https://anonscm.debian.org/git/pkg-kolab/libkolab.git
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=pkg-kolab/libkolab.git

Package: libkolab0v5
Architecture: any
Breaks: libkolab0
Replaces: libkolab0
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Maps KDE containers to Kolab formats
 libkolab provides conversions from/to KDE containers, MIME message
 handling and facilities to read and write kolabv2 and kolabv3.
 .
 The libkolab package provides:
  - kolabformatv2: Kolabformat v2 implementation moved here from kdepim-runtime
  - kolabformat:   Kolab object reading/writing (MIME message + kolab-format).
                   Handles v2/v3 transparently.
  - conversion:    Conversions from KDE to Kolab containers and vice versa.
  - mime:          MIME message handling used by kolabformat
  - icalendar:     Exposes iCalendar functionality:
                   iCal reading/writing, iTip, iMip
  - calendaring:   Some general calendaring functions
 .
 The libkolab library belongs to the Kolab 3 server components.

Package: python-kolab
Architecture: any
Section: python
Depends: libkolab0v5 (= ${binary:Version}),
         ${python:Depends},
         ${misc:Depends},
         ${shlibs:Depends}
Description: Python bindings for Kolab Library
 This package provides the Kolab Python modules icalendar and calendaring.
 .
  - The calendaring module provides some general calendaring functions
  - The icalendar module exposes iCalendar functionality:
    iCal reading/writing, iTip, iMip.

Package: libkolab-dev
Section: libdevel
Architecture: any
Depends: libkolab0v5 (= ${binary:Version}),
         ${misc:Depends},
         libqt4-dev,
         kdepimlibs5-dev,
         libkolabxml-dev (>= 1.1.1)
Description: Development package for Kolab library
 libkolab provides conversions from/to KDE containers, MIME message
 handling and facilities to read and write kolabv2 and kolabv3.
 .
 This package contains the development files for the library,
 including headers and Libkolab cmake files.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

PYTHON_SITEARCH := $(shell python -c 'from distutils.sysconfig import get_python_lib; print get_python_lib(1)')

export DH_VERBOSE=1

export DEB_LDFLAGS_MAINT_APPEND="-Wl,--as-needed"

%:
	dh $@ --parallel --with python2,pkgkde-symbolshelper

override_dh_auto_configure:
	dh_auto_configure -- \
		-DPYTHON_BINDINGS=ON \
		-DPYTHON_INSTALL_DIR=$(PYTHON_SITEARCH) \
		-DPYTHON_INCLUDE_DIR=/usr/include/python2.7 \
		-DPYTHON_LIBRARY=/usr/lib/$(DEB_BUILD_MULTIARCH)/libpython2.7.so

override_dh_install:
	# Install the packages
	dh_install --fail-missing -Xdummy.php

override_dh_auto_test:

override_dh_shlibdeps:
	dh_shlibdeps -- -xkdepim-runtime
